export function getDatabaseTime(t: string | number | Date) {
  return formatDate2String(new Date(t))
}

export function formatTimestamp(t: string) {
  return getDatabaseTime(1000 * parseInt(t))
}

export function formatDate2String(d: Date) {
  return d.toLocaleString().replace(/\//g, '-')
}



// 将一个秒数转换为 00:00:00 格式
export function formatOffsetSec(s: number):string {
  const h = Math.floor(s / 3600)
  const m = Math.floor(s % 3600 / 60)
  const ss = Math.floor(s % 3600 % 60)
  console.log(`${h < 10 ? '0' + h : h}:${m < 10 ? '0' + m : m}:${ss < 10 ? '0' + ss : ss}`);
  return `${h < 10 ? '0' + h : h}:${m < 10 ? '0' + m : m}:${ss < 10 ? '0' + ss : ss}`
}

// 将LocaleTimeString 改为当天只显示 hh:mm:ss，之前的日期改为yyyy-mm-dd hh:mm:ss
export function formatTimeToShow(t: string) {
  const d = new Date(t)
  const now = new Date()
  if (d.getFullYear() === now.getFullYear() && d.getMonth() === now.getMonth() && d.getDate() === now.getDate()) {
    return d.toLocaleTimeString()
  } else {
    return d.toLocaleString().replace(/\//g, '-')
  }
}
